Bug 84236 - [EFL] DRT console messages should contain only the file name part of local URIs
Summary: [EFL] DRT console messages should contain only the file name part of local URIs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-18 05:35 PDT by Chris Dumez
Modified: 2012-05-06 22:51 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.36 KB, patch)
2012-04-18 05:42 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (4.30 KB, patch)
2012-04-18 22:52 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2012-04-18 05:35:23 PDT
Several test cases are failing because they expect DRT console message to contain only the file name part of local URIs.

I identified the following test cases which are failing because of this issue:
fast/frames/sandboxed-iframe-close-top-noclose.html
fast/frames/sandboxed-iframe-history-denied.html
fast/frames/sandboxed-iframe-navigation-parent.html
fast/frames/sandboxed-iframe-navigation-targetlink.html
fast/frames/sandboxed-iframe-navigation-top-by-name-denied.html
fast/frames/sandboxed-iframe-navigation-top-denied.html

Their failure diff looks like:
--- /home/buildslave-1/webkit-buildslave/efl-linux-debug/build/layout-test-results/fast/frames/sandboxed-iframe-close-top-noclose-expected.txt
+++ /home/buildslave-1/webkit-buildslave/efl-linux-debug/build/layout-test-results/fast/frames/sandboxed-iframe-close-top-noclose-actual.txt
@@ -1,4 +1,4 @@
-CONSOLE MESSAGE: Unsafe JavaScript attempt to initiate a navigation change for frame with URL close-top.html.
+CONSOLE MESSAGE: Unsafe JavaScript attempt to initiate a navigation change for frame with URL file:///home/buildslave-1/webkit-buildslave/efl-linux-debug/build/LayoutTests/fast/frames/resources/sandboxed-iframe-close-top-does-not-close.html from frame with URL file:///home/buildslave-1/webkit-buildslave/efl-linux-debug/build/LayoutTests/fast/frames/resources/close-top.html.
Comment 1 Chris Dumez 2012-04-18 05:42:55 PDT
Created attachment 137675 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-04-18 08:06:16 PDT
Comment on attachment 137675 [details]
Patch

The patch looks fine. Don't you need to unskip some tests related to this?
Comment 3 Chris Dumez 2012-04-18 09:54:12 PDT
No, those are broken tests which are not part of the skip list.
Comment 4 Raphael Kubo da Costa (:rakuco) 2012-04-18 10:00:52 PDT
Hmm, I was talking about the section around line 1654 in the skipped list that says "BUG: The whole file path is being shown in the console message instead of only the file name".
Comment 5 Chris Dumez 2012-04-18 11:33:58 PDT
Oh sorry, I missed those. I'll make sure they pass and unskip if necessary. Thanks.
Comment 6 Chris Dumez 2012-04-18 22:52:51 PDT
Created attachment 137843 [details]
Patch

Unskip the tests which now pass because of this fix.
Comment 7 Raphael Kubo da Costa (:rakuco) 2012-04-19 08:02:47 PDT
Comment on attachment 137843 [details]
Patch

Looks OK, thanks.
Comment 8 Kentaro Hara 2012-04-19 16:10:09 PDT
Comment on attachment 137843 [details]
Patch

OK
Comment 9 WebKit Review Bot 2012-04-19 16:50:55 PDT
Comment on attachment 137843 [details]
Patch

Clearing flags on attachment: 137843

Committed r114694: <http://trac.webkit.org/changeset/114694>
Comment 10 WebKit Review Bot 2012-04-19 16:51:00 PDT
All reviewed patches have been landed.  Closing bug.